]> git.immae.eu Git - github/wallabag/wallabag.git/blame - scripts/require.sh
Merge pull request #4438 from wallabag/dependabot/composer/scheb/two-factor-bundle...
[github/wallabag/wallabag.git] / scripts / require.sh
CommitLineData
9998c725 1#! /usr/bin/env bash
9998c725 2
7a82953b 3# Check for composer
9998c725
NL
4if [ ! -f composer.phar ]; then
5 echo "composer.phar not found, we'll see if composer is installed globally."
c4d9a8d6
NL
6 command -v composer >/dev/null 2>&1 || { echo >&2 "wallabag requires composer but it's not installed (see http://doc.wallabag.org/en/master/user/installation.html). Aborting."; exit 1; }
7else
205c6f0c 8 COMPOSER_COMMAND='./composer.phar'
9998c725 9fi